emp_hub(6)

NAME
emp_hub - Empire multiplexer

SYNOPSIS
emp_hub [-persistent] [-debug] [-help] [-mirror] host port localport

DESCRIPTION
emp_hub allows multiple clients to simultaneously connect to a single Empire country. This allows you to use both a fast and a smart client simultaneously. It also permits multiple corulers to log in at once.

  Parameters

host
    Hostname of the upstream server.

port
    TCP/IP port number the empire server is running on.

localport
    TCP/IP port number the emp_hub should listen to for incoming client connections.

-mirror
    Copy commands and replies to all clients using new protocols. Currently only the lafe client is aware of these protocols, though most clients will ignore them.

-persistent
    Normally emp_hub exits after the last client disconnects. With this option emp_hub does not exit, and will wait for new clients to connect. emp_hub must be killed by the user using the kill command.

-help
    Brief usage information.

-debug
    Print lots of messages, including everything sent and received by a client. Useful when debugging either emp_hub , a client, or the server.

SEE ALSO
emp_server(6), emp_client(6), emp_hub(6), pei(6), eif(6), http://www.empire.net/~harmless/guide.html, http://empire.idlpaper.com/

BUGS
Due to the nature of the empire protocol, only one client may have input focus at one time. If a client pauses at a context sensitive prompt from the server, all other clients will be unable to send data.

AUTHOR
This manual page was written by Drake Diedrich <Drake.Diedrich@anu.edu.au>